Bug 158105 - GPR.findResource no longer obeys contract
GPR.findResource no longer obeys contract
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Classpath
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@java
: REGRESSION
Depends on:
Blocks: 49026 156721
  Show dependency treegraph
 
Reported: 2009-02-06 20:53 UTC by Jesse Glick
Modified: 2009-02-19 21:08 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2009-02-06 20:53:47 UTC
After #75d78a90d621, GPR.findResource obeys includes & excludes, but no longer searches in classpath dependencies of
open projects.
Comment 1 Jesse Glick 2009-02-06 20:55:05 UTC
Would have been a regression in 6.0.
Comment 2 Jesse Glick 2009-02-06 21:12:48 UTC
core-main #19cac83f4350
Comment 3 Quality Engineering 2009-02-07 08:39:52 UTC
Integrated into 'main-golden', will be available in build *200902070301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/19cac83f4350
User: Jesse Glick <jglick@netbeans.org>
Log: #158105:: after incl/excl support added, GPR.findResource no longer searched sources of classpath dependencies.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo